
procedure delay(ms: real);
   (* delay for a specified number of miliseconds; give up time while
      delaying *)
var
   started: real;
   i: integer;

begin

{write('[delay ',ms:0:0);}

   started := get_time;
   repeat
      if ms > 100.0 then 
         give_up_time;
   until (get_time > started+ms/1000.0) or    {time elapsed}
         (get_time < started);                {midnight rolover!}

{write(']');}

end;


