
(*
 * filesize.inc - utility library to return the size of a file in bytes.
 *                returns 0 if the file does not exist
 *
 * shs 14-feb-86, (rev. 21-Dec-87)
 *
 *)

function file_size(name: anystring): real;
var
   DirInfo:     SearchRec;

begin
   FindFirst(name,$21,DirInfo);
   if (DosError <> 0) then
      file_size := 0
   else
      file_size := DirInfo.size;
end;

